This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 536529 - (RHQ-86) reduce number of full avail reports sent
reduce number of full avail reports sent
Status: CLOSED NEXTRELEASE
Product: RHQ Project
Classification: Other
Component: Performance (Show other bugs)
1.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-13 11:51 EDT by John Mazzitelli
Modified: 2009-04-28 05:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2008-03-13 11:51:00 EDT
I see this when we get a inventory report:

11:46:47,968 INFO  [DiscoveryServerServiceImpl] Performance: inventory merge of [1036] resource in (37437)ms
11:46:51,140 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (859)ms
11:46:58,046 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (609)ms
11:46:59,546 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (921)ms
11:47:00,359 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (656)ms
11:47:01,109 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (641)ms
11:47:01,859 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (656)ms
11:47:02,687 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (719)ms
11:47:03,546 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (750)ms
11:47:04,328 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (672)ms
11:47:05,093 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (656)ms
11:47:06,609 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (1422)ms
11:47:07,250 INFO  [DiscoveryServerServiceImpl] Processed AV:[spawn_36209][1036][full] - need full=[false] in (547)ms

We should try to reduce the number of full availability reports we send.

We have to be careful though - I remember why we did this - when in doubt, we send a full report to make sure the server and agent are in sync wrt inventory.  However, there maybe something we can do to avoid all these full reports shotgunned to the server (notice the report sizes are all the same (1036) so I assume they are all the same resources being reported).
Comment 1 Greg Hinkle 2008-03-17 17:22:17 EDT
We do an avail check after every agent-server resource status sync. 

We do a status sync for each child server of the platform (rather than the whole platform at once) for performance reasons. Although with the other fixes maybe we can go back to doing this for the whole platform at one time.
Comment 2 Joseph Marques 2008-07-21 01:11:54 EDT
hopefully we'll get back around to a full performance testing cycle in 1.2
Comment 3 Joseph Marques 2009-04-28 05:44:26 EDT
by virtue of reducing the number of roundtrips from O(N) where N is number of nodes in the resource tree to O(D) where D is the depth of the tree under the platform, this has been reduced as well.  also, if you were to restart your agent with --clean that code has been optmized such that the entire tree will be synced in a single handshake.
Comment 4 Red Hat Bugzilla 2009-11-10 16:18:36 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-86

Note You need to log in before you can comment on or make changes to this bug.